// Copyright (c) Mito
import React, { Fragment } from 'react';
import '../../../css/large-select.css';
/*
  A custom select dropdown component created for use in the default taskpane
  The Large Select element is wider than the Small Select element
*/
const LargeSelect = (props) => {
    const optionsElements = [];
    props.optionsArray.forEach((option) => {
        if (typeof option === 'string') {
            optionsElements.push((React.createElement("option", { value: option, key: option }, option)));
        }
        else {
            optionsElements.push(option);
        }
    });
    const className = !props.extraLarge ? 'select large-select' : 'select extra-large-select';
    return (React.createElement(Fragment, null,
        React.createElement("select", { className: className, value: props.startingValue, onChange: (e) => props.setValue(e.target.value) }, optionsElements)));
};
export default LargeSelect;
//# sourceMappingURL=LargeSelect.js.map